| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Signals | Public Member Functions | Static Public Member Functions | List of all members
Tp::BaseChannelHoldInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.Hold. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types

typedef Callback3< void, const Tp::LocalHoldState &, const Tp::LocalHoldStateReason &, DBusError * > | SetHoldStateCallback

## Signals

void | holdStateChanged (const Tp::LocalHoldState &state, const Tp::LocalHoldStateReason &reason)
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Public Member Functions

virtual | ~BaseChannelHoldInterface ()
QVariantMap | immutableProperties () const
Tp::LocalHoldState | getHoldState () const
Tp::LocalHoldStateReason | getHoldReason () const
void | setHoldState (const Tp::LocalHoldState &state, const Tp::LocalHoldStateReason &reason)
void | setSetHoldStateCallback (const SetHoldStateCallback &cb)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static BaseChannelHoldInterfacePtr | create ()
template<typename BaseChannelHoldInterfaceSubclass >
static SharedPtr < BaseChannelHoldInterfaceSubclass > | create ()

## Additional Inherited Members

Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.Hold.

## Member Typedef Documentation

typedef Callback3<void, const Tp::LocalHoldState&, const Tp::LocalHoldStateReason &, DBusError*> Tp::BaseChannelHoldInterface::SetHoldStateCallback

## Constructor & Destructor Documentation

Tp::BaseChannelHoldInterface::~BaseChannelHoldInterface | ( |  | ) |

virtual

Class destructor.

## Member Function Documentation

static BaseChannelHoldInterfacePtr Tp::BaseChannelHoldInterface::create | ( |  | ) |

inline static

template<typename BaseChannelHoldInterfaceSubclass >

static SharedPtr<BaseChannelHoldInterfaceSubclass> Tp::BaseChannelHoldInterface::create | ( |  | ) |

inline static

QVariantMap Tp::BaseChannelHoldInterface::immutableProperties | ( |  | ) | const

virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

Tp::LocalHoldState Tp::BaseChannelHoldInterface::getHoldState | ( |  | ) | const

Tp::LocalHoldStateReason Tp::BaseChannelHoldInterface::getHoldReason | ( |  | ) | const

void Tp::BaseChannelHoldInterface::setHoldState | ( | const Tp::LocalHoldState & | state,
|  | const Tp::LocalHoldStateReason & | reason
| ) |  |

void Tp::BaseChannelHoldInterface::setSetHoldStateCallback | ( | const SetHoldStateCallback & | cb | ) |

void Tp::BaseChannelHoldInterface::holdStateChanged | ( | const Tp::LocalHoldState & | state,
|  | const Tp::LocalHoldStateReason & | reason
| ) |  |

signal